# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	11
%define		pname	ixgbe
Summary:	Intel(R) 10 Gigabit driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) 10 Gigabit
Name:		%{pname}%{_alt_kernel}
Version:	3.9.15
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	24f5a3c93f5ee0232ff69409c2eba08d
URL:		http://sourceforge.net/projects/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) 10 Gigabit
adapters with 82598EB chipset.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) 10 Gigabit opartych o układ 82598EB.

%package -n kernel%{_alt_kernel}-net-ixgbe
Summary:	Intel(R) 10 Gigabit driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) 10 Gigabit
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-ixgbe
This package contains the Linux driver for the Intel(R) 10 Gigabit
adapters with 82598EB chipset.

%description -n kernel%{_alt_kernel}-net-ixgbe -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) 10 Gigabit opartych o układ 82598EB.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := ixgbe.o
ixgbe-objs := ixgbe_main.o ixgbe_common.o ixgbe_api.o ixgbe_param.o \
ixgbe_ethtool.o kcompat.o ixgbe_82598.o ixgbe_82599.o ixgbe_sriov.o \
ixgbe_mbx.o ixgbe_dcb.o ixgbe_dcb_82598.o ixgbe_dcb_82599.o ixgbe_phy.o \
ixgbe_dcb_nl.o

EXTRA_CFLAGS=-DDRIVER_IXGBE
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist ixgbe
alias ixgbe ixgbe-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-ixgbe
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-ixgbe
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-ixgbe
%defattr(644,root,root,755)
%doc ixgbe.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*
%changelog
* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 7670d6a
- Rebuild for kernel 3.4.10
- release 11 (by relup.sh)

* Fri Aug 10 2012 Jan Rękorajski <baggins@pld-linux.org> 4f179dc
- rebuild for kernel.spec:auto/th/kernel-3.4.8-1 /home/users/baggins/devel/PLD/rpm/packages
- release 10 (by relup.sh)

* Sun Jul 22 2012 Paweł Sikora <pawel.sikora@agmk.net> 9e95bd5
bump release for rebuild with kernel-3.4.6-1

* Sat Jun 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c27b1f6
- rebuild for kernel-3.4.4-1
- release 8 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 831501a
- rebuild for kernel-3.4.3-1
- release 7 (by relup.sh)

* Fri Jun 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f52d406
- rebuild for kernel-3.4.3-1
- release 6 (by relup.sh)

* Tue Jun 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 890ebeb
- release 5
 (by relup.sh)

* Wed May 23 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d80252
- release 4

* Sun May 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e086314
- release 3

* Tue May 08 2012 Jan Rękorajski <baggins@pld-linux.org> 11e6b97
- release 2

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> 5076968
- 3.9.15

* Fri Feb 10 2012 lisu <lisu@pld-linux.org> 4dd5ebc
- up to 3.7.21
- unifed URL in Source0

* Sat Nov 13 2010 shadzik <shadzik@pld-linux.org> dd587dd
- release 3

* Fri Oct 08 2010 hawk <hawk@pld-linux.org> 759923b
- release 2

* Sun Aug 29 2010 hawk <hawk@pld-linux.org> a91eb1c
- updated to 2.1.4

* Tue Jul 06 2010 shadzik <shadzik@pld-linux.org> 33dbfcc
- rel up

* Mon Jul 05 2010 shadzik <shadzik@pld-linux.org> 7b62758
- rel up

* Thu Jul 01 2010 shadzik <shadzik@pld-linux.org> c033c8f
- 2.0.84.9

* Wed Jun 02 2010 hawk <hawk@pld-linux.org> 8f92e5d
- updated to 2.0.75.7

* Fri Apr 16 2010 hawk <hawk@pld-linux.org> 3c06d7d
- updated to 2.0.72.4

